Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mpisws.p2p.transport.exception
Class NodeIsFaultyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.mpisws.p2p.transport.exception.NodeIsFaultyException

All Implemented Interfaces:
  java.io.Serializable

    public class NodeIsFaultyException

extends java.io.IOException

See Also:
  Serialized Form

Constructor Summary
`NodeIsFaultyException(java.lang.Object identifier)`
`NodeIsFaultyException(java.lang.Object identifier, java.lang.Object message)`
`NodeIsFaultyException(java.lang.Object identifier, java.lang.Object message, java.lang.Throwable cause)`

Method Summary
`java.lang.Object` | `getAttemptedMessage()`
`java.lang.Throwable` | `getCause()`
`java.lang.Object` | `getIdentifier()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NodeIsFaultyException

    public NodeIsFaultyException(java.lang.Object identifier,
                                 java.lang.Object message)

### NodeIsFaultyException

    public NodeIsFaultyException(java.lang.Object identifier,
                                 java.lang.Object message,
                                 java.lang.Throwable cause)

### NodeIsFaultyException

    public NodeIsFaultyException(java.lang.Object identifier)

Method Detail

### getIdentifier

    public java.lang.Object getIdentifier()

### getAttemptedMessage

    public java.lang.Object getAttemptedMessage()

### getCause

    public java.lang.Throwable getCause()

  Overrides:
    `getCause` in class `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.